Support for TLS 1.1

Support for TLS 1.1

Postby Sandylen » Thu 02 Mar 2017 11:36

Hi, Does the driver support TLS 1.1 and 1.2? We are currently getting an SQL Error Code 18, SSL Security error on a server with TLS 1.0 disabled. If it does support TLS 1.1, what version did this occur on. Thanks.
Sandylen
 
Posts: 2
Joined: Thu 02 Mar 2017 11:15

Re: Support for TLS 1.1

Postby azyk » Thu 02 Mar 2017 13:10

For connection to SQL Server, our dbExpress driver for SQL Server uses the OLEDB provider. The standard OLEDB provider has no support for TLS 1.1 and TLS 1.2, and SQL Native Client provider supports it. If SQL Native Client is used in a TSQLConnection, then see description of the used provider version at MSDN, about the possibility to use the TLS protocol version 1.1 and higher.
azyk
Devart Team
 
Posts: 989
Joined: Fri 11 Apr 2014 11:47
Location: Alpha Centauri A

Re: Support for TLS 1.1

Postby Sandylen » Thu 02 Mar 2017 17:59

Thanks for the prompt reply. We are still using the 5.0.3.0 version in Delphi 6. Am I correct we only need to set SQLConnection.VendorLib := 'sqlncli11.dll' to make it use the native client? The DriverName will still be 'DevartSQLServer'.
Sandylen
 
Posts: 2
Joined: Thu 02 Mar 2017 11:15

Re: Support for TLS 1.1

Postby azyk » Fri 03 Mar 2017 09:24

dbExpress driver for SQL Server 5.0.3 does not support SQL Native Client 11 because this provider version was released later than the driver version. In the driver version 5.0.3 you can use SQL Native Client 10 - value 'sqlncli10.dll' for the VendorLib property.

To use SQL Native Client 11 (value 'sqlncli11.dll') for connection, please update dbExpress driver for SQL Server to the latest version 7.3.5
azyk
Devart Team
 
Posts: 989
Joined: Fri 11 Apr 2014 11:47
Location: Alpha Centauri A


Return to dbExpress driver for SQL Server